<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "dammain";
$trandb = "damtran";
$formname = "Damage Register";
$file = "damreg_fr.php";

$zroot = 'cepheisy_msp_root';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $itemcode = $_POST["itemcode"];
    $dtype = $_POST["dtype"];


    $dtypecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);




    if (!empty($itemcode)) {
        $itemcond = " AND b.`itemcode`='$itemcode' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT a.*, DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt, b.itemcode FROM dammain a, damtran b WHERE a.vouchno = b.vouchno AND a.`vouchdt` >= '$mfrmdate' 
                            AND a.`vouchdt` <= '$mtodate'  $itemcond GROUP BY b.`vouchno`")or die(mysqli_error($conn));

    include("includes/linkshead.php");
        $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
    </head>
    <body>
        <div class="container">
             <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th style="width:5%">Sr</th>
                                <th style="width:10%">Vouch No</th>
                                <th style="width:10%">Date</th>
                                <th style="width:10%"class="text-right">Quantity</th>
                                <th style="width:15%" class="text-right">Total</th>
                                <th style="width:15%" class="">Remark</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $totqty = 0;
                            $total = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[vouchno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td class='text-right'>$pmain[qty]</td>";
                                Echo "<td class='text-right'>$pmain[total]</td>";
                                Echo "<td class=''>$pmain[remark1] $pmain[remark2]</td>";
                                Echo "</tr>";
                                $totqty = $totqty + $pmain[qty];
                                $total = $total + $pmain[total];

                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th style='background-color: #cccccc;width:5%;'>Sr</th>";
                                    Echo "<th style='background-color: #cccccc;width:10%; class='numeric''>Barcode</th>";
                                    Echo "<th style='background-color: #cccccc';width:6%; >Itemname</th>";
                                    Echo "<th style='background-color: #cccccc';width:6%; >Color</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Qty</th>";
//                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Unit</th>";
//                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Mrp</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Rate</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Amount</th>";
//                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Msp</th>";

                                    Echo "<tr>";


                                    $ctr2 = 0;
                                    $tqty = 0;
                                    $tamt = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' ORDER BY `itemcode` ")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                                        $item    = mysqli_fetch_array($getitem);
                                        
                                      $getcolor   =  mysqli_query($conn, "SELECT `code`,`name` from `color` WHERE `code`='$tran[color]' ")or die();
                                      $color  =  mysqli_fetch_array($getcolor);

                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td class='numeric'>$tran[barcode]</td>";
                                        Echo "<td>$item[name]</td>";
                                        Echo "<td>$color[name]</td>";
                                        Echo "<td class='numeric'>$tran[trqty]</td>";
//                                        Echo "<td class='numeric'>$showuint[name]</td>";
//                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
//                                        Echo "<td class='numeric'>$tran[msp]</td>";
                                        Echo "</tr>";
                                        $tqty = $tqty + $tran[trqty];
                                        $tamt = $tamt + $tran[amount];
                                    }

                                    if ($_POST["dtype"] == 2) {
                                        $colr1 = "blue";

                                        Echo "<tr>";
                                        Echo "<td></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td style='color:$colr1;' align='right' id='font1' ><h5><b>Total :</b></h5></td>";
                                        Echo "<td style='color:$colr1;' align='right' id='font1'  ><h5><b>$tqty</b></h5></td>";
//                                        Echo "<td class='numeric'></td>";
//                                        Echo "<td class='numeric'></td>";
                                        Echo "<td class='numeric'></td>";
                                        Echo "<td style='color:$colr1;' align='right' id='font1'  ><h5><b>$tamt</b></h5></td>";
//                                        Echo "<td class='numeric'></td>";
                                        Echo "</tr>";
                                    }
                                    Echo "</table>";
                                    Echo "</td>";
                                }
//                                if ($_POST["dtype"] == 2) {
//                                    echo "<tr> ";
//                                    $colr1 = "blue";
//                                    echo "<td style='color:$colr1;' align='right' id='font1' colspan='6' ><h5><b>Total :</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='right' id='font1'><h5><b>$topaytot1</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='center' id='font1'><h5><b>$totweight</b></h5></td>";
//                                    echo "<td style='color:$colr1;'  id='font1'><h5><b>$totpaid</b></h5></td>";
//                                    echo "</tr>";
//                                }
                            }
                            $colr = "red";
                            echo "<tr> ";

                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totqty</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$total</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $itemcode = $_POST["itemcode"];
    $itemname = $_POST["itemname"];
    $fdate = $_POST["fdate"];
    $tdate = $_POST["tdate"];

    $dtypecond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);




    if (!empty($itemcode)) {
        $itemcond = " AND `itemcode`='$itemcode' ";
    }
//    if (!empty($itemname)) {
//        $itemnamecond = " AND `itemname `='$itemname ' ";
//    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; inweg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; inwreg.php");
    }

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate' ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);

    $contents.="Sr.,Voucher No.,Date,Qty,Total,Remark\n";

    while ($pmain = mysqli_fetch_array($getpmain)) {

        $ctr++;
        $pvouchno = $pmain[vouchno];
        $pdate = $pmain[vouchdt];
        $pqty = $pmain[qty];
        $ptotal = $pmain[total];
        $premark = $pmain[remark] . $pmain[remark2];

        $contents.=$ctr . ",";
        $contents.=$pvouchno . ",";
        $contents.=$pdate . ",";
        $contents.=$pqty . ",";
        $contents.=$ptotal . ",";
        $contents.=$premark . "\n";

        $gtot = $pmain[total] + $gtot;

        if ($_POST["dtype"] == 2) {

            $contents.="Sr.,Barcode,Itemname,Qty,Unit,Mrp,Rate,Amount,Msp\n";

            $ctr2 = 0;
            $atqty = 0;
            $atamt = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]' $itemcond $itemnamecond  ")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $ctr2++;
                $pitemcode = $tran[itemcode];
                $pitemname = $item[name];
                $ptrqty = $tran[trqty];
                $punit = $tran[unit];
                $pmrp = $tran[mrp];
                $prate = $tran[rate];
                $pamount = $tran[amount];
                $pmsp = $tran[msp];

                $contents.=$ctr2 . ",";
                $contents.=$pitemcode . ",";
                $contents.=$pitemname . ",";
                $contents.=$ptrqty . ",";
                $contents.=$punit . ",";
                $contents.=$pmrp . ",";
                $contents.=$prate . ",";
                $contents.=$pamount . ",";
                $contents.=$pmsp . "\n";
            }
            $atqty = $tran[trqty] + $atqty;
            $atamt = $tran[amount] + $atamt;

//            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.="Total" . ",";
            $contents.="$atqty" . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.=" " . ",";
            $contents.="$atamt" . ",";
            $contents.=" " . "\n";
        }
    }
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.="Grand Total" . ",";
    $contents.="$gtot" . ",";
    $contents.=" " . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}

?>